Package fr.gouv.vitam.metadata.core.config

# Class MetadataIndexationConfiguration

java.lang.Object
fr.gouv.vitam.metadata.core.config.MetadataIndexationConfiguration

public class MetadataIndexationConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataIndexationConfiguration()`
  `MetadataIndexationConfiguration(DefaultCollectionConfiguration defaultCollectionConfiguration, List<DedicatedTenantConfiguration> dedicatedTenantConfiguration, List<GroupedTenantConfiguration> groupedTenantConfiguration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DedicatedTenantConfiguration>`
  `getDedicatedTenantConfiguration()`
  `DefaultCollectionConfiguration`
  `getDefaultCollectionConfiguration()`
  `List<GroupedTenantConfiguration>`
  `getGroupedTenantConfiguration()`
  `MetadataIndexationConfiguration`
  `setDedicatedTenantConfiguration(List<DedicatedTenantConfiguration> dedicatedTenantConfiguration)`
  `MetadataIndexationConfiguration`
  `setDefaultCollectionConfiguration(DefaultCollectionConfiguration defaultCollectionConfiguration)`
  `MetadataIndexationConfiguration`
  `setGroupedTenantConfiguration(List<GroupedTenantConfiguration> groupedTenantConfiguration)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetadataIndexationConfiguration

    public MetadataIndexationConfiguration()

  - ### MetadataIndexationConfiguration

    public MetadataIndexationConfiguration(DefaultCollectionConfiguration defaultCollectionConfiguration, List<DedicatedTenantConfiguration> dedicatedTenantConfiguration, List<GroupedTenantConfiguration> groupedTenantConfiguration)

- ## Method Details

  - ### getDefaultCollectionConfiguration

    public DefaultCollectionConfiguration getDefaultCollectionConfiguration()

  - ### setDefaultCollectionConfiguration

    public MetadataIndexationConfiguration setDefaultCollectionConfiguration(DefaultCollectionConfiguration defaultCollectionConfiguration)

  - ### getDedicatedTenantConfiguration

    public List<DedicatedTenantConfiguration> getDedicatedTenantConfiguration()

  - ### setDedicatedTenantConfiguration

    public MetadataIndexationConfiguration setDedicatedTenantConfiguration(List<DedicatedTenantConfiguration> dedicatedTenantConfiguration)

  - ### getGroupedTenantConfiguration

    public List<GroupedTenantConfiguration> getGroupedTenantConfiguration()

  - ### setGroupedTenantConfiguration

    public MetadataIndexationConfiguration setGroupedTenantConfiguration(List<GroupedTenantConfiguration> groupedTenantConfiguration)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`